# Ogre::TerrainVertexProgram Class Reference

`#include <OgreTerrainVertexProgram.h>`

List of all members.

## Static Public Member Functions

const String & | getProgramSource (FogMode fogMode, const String syntax, bool shadowReceiver=false)
| General purpose method to get any of the program sources.

## Static Private Attributes

String | mNoFogArbvp1
String | mLinearFogArbvp1
String | mExpFogArbvp1
String | mExp2FogArbvp1
String | mShadowReceiverArbvp1
String | mNoFogVs_1_1
String | mLinearFogVs_1_1
String | mExpFogVs_1_1
String | mExp2FogVs_1_1
String | mShadowReceiverVs_1_1

## Member Function Documentation

const String& Ogre::TerrainVertexProgram::getProgramSource | ( | FogMode | fogMode,
|  | const String | syntax,
|  | bool | shadowReceiver = false
| ) | `[static]`

| General purpose method to get any of the program sources.

## Member Data Documentation

String Ogre::TerrainVertexProgram::mExp2FogArbvp1 `[static, private]`

| Definition at line 204 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mExp2FogVs_1_1 `[static, private]`

| Definition at line 210 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mExpFogArbvp1 `[static, private]`

| Definition at line 203 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mExpFogVs_1_1 `[static, private]`

| Definition at line 209 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mLinearFogArbvp1 `[static, private]`

| Definition at line 202 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mLinearFogVs_1_1 `[static, private]`

| Definition at line 208 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mNoFogArbvp1 `[static, private]`

| Definition at line 201 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mNoFogVs_1_1 `[static, private]`

| Definition at line 207 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mShadowReceiverArbvp1 `[static, private]`

| Definition at line 205 of file OgreTerrainVertexProgram.h.

String Ogre::TerrainVertexProgram::mShadowReceiverVs_1_1 `[static, private]`

| Definition at line 211 of file OgreTerrainVertexProgram.h.

The documentation for this class was generated from the following file:

- OgreTerrainVertexProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:06:59 2006